from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class ContractDetailRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, tenantName=None, queryActionOperate=None, queryActionOperator=None, queryLocation=None):
        self.__contractId = contractId
        self.__bizId = bizId
        self.__tenantName = tenantName
        self.__queryActionOperate = queryActionOperate
        self.__queryActionOperator = queryActionOperator
        self.__queryLocation = queryLocation

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_queryActionOperate(self):
        return self.__queryActionOperate

    def set_queryActionOperate(self, value):
        self.__queryActionOperate = value

    def get_queryActionOperator(self):
        return self.__queryActionOperator

    def set_queryActionOperator(self, value):
        self.__queryActionOperator = value

    def get_queryLocation(self):
        return self.__queryLocation

    def set_queryLocation(self, value):
        self.__queryLocation = value

    def get_path(self):
        return '/v2/contract/detail'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        if self.__contractId is not None:
            parameter.add_params('contractId', self.__contractId)
        if self.__bizId is not None:
            parameter.add_params('bizId', self.__bizId)
        if self.__tenantName is not None:
            parameter.add_params('tenantName', self.__tenantName)
        if self.__queryActionOperate is not None:
            parameter.add_params('queryActionOperate', self.__queryActionOperate)
        if self.__queryActionOperator is not None:
            parameter.add_params('queryActionOperator', self.__queryActionOperator)
        if self.__queryLocation is not None:
            parameter.add_params('queryLocation', self.__queryLocation)
        return parameter
