from httpClient.BaseHttpRequest import BaseHttpRequest
from httpClient.HttpParameter import HttpParameter
from httpClient.RequestMethod import RequestMethod


class TemplateDetailRequest(BaseHttpRequest):

    def __init__(self, templateId=None):
        self.__templateId = templateId

    def get_templateId(self):
        return self.__templateId

    def set_templateId(self, value):
        self.__templateId = value

    def get_path(self):
        return '/v2/template/detail'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        if self.__templateId is not None:
            parameter.add_params('templateId', self.__templateId)
        return parameter

