from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class CompanyDetailRequest(BaseHttpRequest):

    def __init__(self, compangName=None):
        self.__companyName = compangName

    def get_companyName(self):
        return self.__companyName

    def set_companyName(self, value):
        self.__companyName = value

    def get_params(self):
        params = HttpParameter(RequestMethod.GET)
        params.add_params('companyName', self.__companyName)
        return params

    def get_path(self):
        return "/v2/company/detail"
