from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class TemplateCreateByWordRequest(BaseHttpRequest):

    def __init__(self, tenantName=None, title=None, file=None, renameRepeatParam=None):
        self.__tenantName = tenantName
        self.__title = title
        self.__file = file
        self.__renameRepeatParam = renameRepeatParam

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_title(self):
        return self.__title

    def set_title(self, value):
        self.__title = value

    def get_file(self):
        return self.__file

    def set_file(self, value):
        self.__file = value

    def get_renameRepeatParam(self):
        return self.__renameRepeatParam

    def set_renameRepeatParam(self, value):
        self.__renameRepeatParam = value

    def get_path(self):
        return '/v2/template/createbyword'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        if self.__tenantName is not None:
            parameter.add_params('tenantName', self.__tenantName)
        if self.__title is not None:
            parameter.add_params('title', self.__title)
        if self.__file is not None:
            parameter.add_file('file', self.__file)
        if self.__renameRepeatParam is not None:
            parameter.add_params('renameRepeatParam', self.__renameRepeatParam)
        return parameter
